%global oname GMetrics

Name:          gmetrics
Version:       0.6
Release:       11%{?dist}
Summary:       Groovy library that provides reports and metrics for Groovy code
License:       ASL 2.0
Url:           http://gmetrics.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}/%{oname}-%{version}-bin.tar.gz
# use antrun-plugin instead of gmaven
# fix log4j groovy18 version
# rebase for groovy 2
Patch0:        gmetrics-0.6-antrunplugin.patch

BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.ant:ant)
#BuildRequires: mvn(org.codehaus.groovy:groovy-all)
BuildRequires: mvn(org.codehaus.groovy:groovy:1.8.9)
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)
# groovy-all embedded libs
BuildRequires: mvn(antlr:antlr)
#BuildRequires: mvn(org.ow2.asm:asm-all)
# -distroshaded
BuildRequires: objectweb-asm3
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(org.slf4j:slf4j-nop)

BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-enforcer-plugin

BuildArch:     noarch

%description
GMetrics provides calculation and reporting of size and
complexity metrics for Groovy source code, by scanning the
code with an Ant Task, applying a set of metrics, and
generating an HTML or XML report of the results.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}

# clean up
find . -name "*.jar" -delete
find . -name "*.class" -delete
rm -rf docs/*
%patch0 -p0

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :gmaven-plugin
%pom_remove_dep :CodeNarc

sed -i "s|pom.version|project.version|" pom.xml

sed -i 's#groupId>org.ow2.asm#groupId>asm#' pom.xml
sed -i 's#version>4.0#version>3#' pom.xml
sed -i 's#artifactId>groovy-all#artifactId>groovy#' pom.xml
sed -i 's#version>1.8.9#version>1.8#' pom.xml

chmod 644 README.txt

for d in CHANGELOG.txt LICENSE.txt NOTICE.txt README.txt ; do
  sed -i 's/\r//' $d
done

%mvn_file :%{oname} %{name} %{oname}

%build

# test skipped require Codenarc, circular deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.txt README.txt
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Jan 30 2015 gil cattaneo <puntogil@libero.it> 0.6-11
- introduce license macro
- re-base for use groovy 2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.6-9
- Use Requires: java-headless rebuild (#1067528)

* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 0.6-8
- use objectweb-asm3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 0.6-6
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Mar 14 2013 gil cattaneo <puntogil@libero.it> 0.6-5
- Use maven-antrun-plugin instead of gmaven

* Fri Feb 15 2013 gil cattaneo <puntogil@libero.it> 0.6-4
- build fix for f19

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.6-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Sep 24 2012 gil cattaneo <puntogil@libero.it> 0.6-1
- update to 0.6
- enable gmaven support

* Mon Aug 06 2012 gil cattaneo <puntogil@libero.it> 0.5-2
- fixed the permissions and encoding issues on *.txt files
- change with_gmaven to 0 (only for now)
- generate javadocs with ant support

* Sat Mar 03 2012 gil cattaneo <puntogil@libero.it> 0.5-1
- initial rpm
